# Non-orchestration payments

 - [GET /payments](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/non-orchestration-payments/getpayments.md): Retrieves all payments in an instance of xCurrent that meet the criteria defined by the query parameters. You can use the query parameters to filter payments. The default parameters are `sort_field :
 - [GET /payments/{payment_id}](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/non-orchestration-payments/getpaymentbypaymentid.md): Gets a payment by ID.
 - [POST /payments/{payment_id}/lock](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/non-orchestration-payments/lockpayment.md): Locks a payment. The beneficiary and all intermediary institutions agree to proceed with the payment by making successful Lock Payment requests. When the payment is still in a *partially* `LOCKED` sta
 - [POST /payments/{payment_id}/reject](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/non-orchestration-payments/rejectlockpayment.md): Rejects a payment from being locked. This temporarily stops the payment and keeps it in a recoverable state so that [user_info](/products/payments-odl/api-docs/ripplenet/resources/srpo/user-info) can
 - [POST /payments/{payment_id}/retry_accept](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/non-orchestration-payments/retryacceptpayment.md): Returns a rejected payment from the `LOCK_DECLINED` state to the `ACCEPTED` state. The payment sender must include repaired [user_info](/products/payments-odl/api-docs/ripplenet/resources/srpo/user-in
 - [POST /payments/{payment_id}/fail](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/non-orchestration-payments/failpayment.md): Fails a payment. Fail payment is a deliberate action that permanently stops the payment and puts it into a non-recoverable state. An institution *rejects* a payment to solicit changes to [user_info](/
 - [POST /payments/{payment_id}/settle](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/non-orchestration-payments/settlepayment.md): Executes a payment in the LOCKED state. Payment senders can also retry settling a payment in the SETTLEMENT_DECLINED state, after the error is corrected (and before the payment expires).Settle payment
 - [POST /payments/{payment_id}/finalize](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/non-orchestration-payments/finalizepayment.md): Marks a payment with finalized sub-states that reflect what is happening to the payment while it is in the EXECUTED state. The receiving institution can make this request multiple times to provide a l
 - [POST /payments/{payment_id}/sub_state](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/non-orchestration-payments/addpaymentsubstate.md): Adds a sub-state to a payment that reflects what is happening to the payment while it is in the `EXECUTED` state. All nodes on the payment chain can make this request multiple times to provide a log o
 - [POST /payments/{payment_id}/complete](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/non-orchestration-payments/completepayment.md): Marks a payment as complete by placing it in the `COMPLETED` state. Typically, the receiving institution makes this request when it has delivered payment funds to the final beneficiary on its internal
 - [PUT /payments/{payment_id}/labels](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/non-orchestration-payments/addpaymentlabels.md): Adds a list of labels to the payment. To retrieve payments by label, see [Get payments](#operation/getPayments).
 - [DELETE /payments/{payment_id}/labels](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/non-orchestration-payments/deletepaymentlabels.md): Deletes an existing label from a payment. The label you provide is deleted from the `labels` array in the Payment object.
 - [GET /payments/{payment_id}/node-status](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/non-orchestration-payments/getpaymentnodestatus.md): Senders can query for the RippleNet instances (in a given payment chain) that have payments in the LOCKED state. This information is only stored on the sender's RippleNet instance.
 - [GET /payments/filtered/{payment_id}](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/non-orchestration-payments/getfilteredpaymentbypaymentid.md): Returns a sanitized payment with sensitive content filtered from the `user_info` object. Filtering `user_info` is customizable in `rnn.properties`. Content that is denylisted by default: `/Cdtr, /Cdtr
 - [POST /quote_collections/return](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/non-orchestration-payments/createquotetoreturnpayment.md): Creates a collection of quotes that can be used to return a payment. The receiver can make this request while the payment is in states `EXECUTED`, `COMPLETED`, or `FAILED`. When the returned payment i
 - [POST /quote_collections/reversal](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/non-orchestration-payments/createquotetoreversepayment.md): Creates a quote collection containing at most one quote that can be used to reverse a payment. The receiver can make this request while the payment is in states `EXECUTED`, `COMPLETED`, or `FAILED`. W
